Subject: categories: Re: cracks and pots 93

From: David Yetter <[email-masked]>
Date: Fri, 31 Mar 2006 10:48:52 -0500

Eduardo,

I think it is you who are suffering from superficial thinking, or at 
least superficial reading.

Admittedly there was a deliberate superficiality in my topic--I 
describe 'faces' of category
theory, aspects presented on the surface, to which those approaching 
the subject react,
even as people in social contexts react to the face of those they meet. 
But the entire discussion has been about reactions to the public face 
of category theory,
and about what and who should be that face.

You evidently did not read my post carefully enough.  It is not I, but 
the mathematical community as a whole that has a prejudice against 
'categories as foundations'--and indeed against foundations, which most 
mathematicians try devoutly to ignore as my discussion of the attitude 
toward constructions of the real numbers illustrated.  Both category  
theory and categorists have suffered as a result.  In the 1980's, when 
I fell in love with category theory, in part because it did address big 
foundational issues, this prejudice resulted in the marginalization and 
ghettoization of category theory within mathematics.

I began my post with the story of Moishe Flato's dismissal of category 
theory as 'a mere
language' and his repentance from that view.  I chose this because it 
was the most cheerful
story I could tell to illustrate the prejudice against foundations, and 
category theory as such,
and probably one most had not heard.

Category theory is breaking out of its ghetto not by finding 
foundational
applications in computer science--excellent though those are, both for 
the intellectual
life of our community and job prospects for categorists--and certainly 
not by asserting its foundational role in mathematics, by showing its 
face as algebra to mathematics as
a whole.  Your last paragraph suggests, perhaps categorists are not.

The attitude evinced by your reply to my post--dismissing the 
mathematical content of my
remarks as "highly technical, sophisticated, difficult and impressively 
sounding words"  (doesn't all mathematics sound that way until one 
masters the relevant concepts and definitions?), and adopting a 'blame 
the messenger' attitude to my report of
anti-foundational prejudice among mathematicians--suggests that you are
content to remain in the ghetto, and want to keep the rest of us there 
with you.

Peevishly yours,
D. Yetter

On 30 Mar 2006, at 13:31, Eduardo Dubuc wrote:

> Hi,
>
> The 93 is because I have by now 92 msages in my cracks and pots file.
>
> I apologize for the length of this posting. It is intended to be a 
> (may be
> biased) partial account of the debate, and some comments.
>
>
> Well, by now the "cracks and pots" debate is establishing itself as, 
> in my
> opinion, an interesting and worth-wile event. Congratulations   Marta 
> !!
>
> We are learning about:
>
> a) Understand  (for many of us) better what is mathematics, and what is
> physics, what is rigor and what is buccaneering, and also what is
> bullshit.
>
> b) "Something is rotten in the state of category theory community"
>
> Pay attention that The Bard does not say "category theory", but he says
> "category theory community"
>
> I start from who has made the more refreshing, humorous, down to
> earth, honest and intelligent contributions to this debate:
>
> **Vicent Schmitt: that theoretical physics, computer science, phylo., a
> mix of those, or whatever? , is used to justify poor "categorical" work
> is, in my view, an existing problem. More or less everyone is 
> conscious of
> it (come on!...) but so far that has not been publicly debated.**
>
> Yes Vincent!!, you point right to what it is at the center (or very 
> near
> it) the problem raised in MartaÕs original "cracks and pots" posting!. 
> And
> the "(come on!...)", beautiful !.
>
> Now, talking about rigor, conjectures and proofs:
>
> **Maclane : If a result has not yet been given valid proof, it isn't 
> yet
> mathematics. This however does not deny the many preliminary stages of
> insight, experiment, speculation or conjecture, which can lead to
> mathematics. It states simply that a conjectured result is not yet a
> theorem **
>
> It is relevant to compare this with Motl's distinction between physics 
> and
> mathematics:
>
> **Motl: In physics, we propose different conjectures about the real 
> world,
> and it is important that we're not guaranteed that these conjectures 
> will
> be true.
>
> String theory itself is not just a conjecture, but rather a
> seemingly consistent mathematical framework. Once we accept string 
> theory
> as an objectively existing mathematical structure, a structure that we
> treat as a part of "generalized physics" - which is of course what all
> string theorists are doing every day - we can ask a lot of questions 
> about
> its properties.**
>
> He does distinguish between  "physics as conjecture" and mathematics 
> with
> applications to physics. He call this mathematics  "generalized 
> physics"
>
> But "conjecture" to be acceptable is not unrigourous neither 
> buccaneering.
> he says:
>
> **Motl: the statements about string theory are just conjectures, and 
> they
> need to be proved or supported by evidence, otherwise they're 
> irrelevant
> and "wrong", in the physical sense.**
>
> He also says:
>
> ** Motl: I always feel very uneasy if the mathematically oriented
> people present their conjectures about physics, quantum gravity, or 
> string
> theory as some sort of "obvious facts".
>
> He is clearly saying that those "mathematically oriented people" are
> lacking  rigor.
>
> Many postings in this debate confound mathematical rigor with 
> formalism,
> and push forward the idea that a formal and logically correct statement
> has automatically rigor. Even if it is foolish:
>
> **V. Pratt: In axiomatic mathematics, everything that is not forbidden 
> is
> permitted. **
>
> **R. Dawson: If the math itself meets mathematical standards of rigor, 
> its
> application to physics need surely only meet the standards appropriate 
> to
> that subject.**
>
> It seems to me that he is equating here "mathematical standards of 
> rigor"
> with "logically correct", and  "the standards appropriate to that 
> subject"
> (in this case, physics) with " buccaneering "
>
> Nothing more wrong!! . In both cases, failing to convey what it should 
> be
> considered  "rigor in mathematics"  and  "rigor in physics"
>
> But again Saunders and Lubos:
>
> **MacLane: real proof is not simply a formalized document, but a 
> sequence
> of ideas and insights**
>
> ** Motl: the primary physical motivation is to locate the right ideas 
> and
> equations that describe the real world. Category theory has been used 
> by
> many to achieve completely wrong physical conclusions - for example, by
> considering the "pompously foolish" quantization functor.**
>
> He however seems to be pushing forward the same misconception of 
> "rigor":
>
> **Motl: It may be nice to be rigorous, but it's always more important 
> to
> be correct: if the specific kind of rigor leads us to stupid 
> conclusions
> in physics, we should avoid it.**
>
> From the original Marta's "cracks and pots"
>
> **M.Bunge:  Are we category theorists as a whole going to quietly 
> accept
> getting discredited by a minority of us presumably applying category
> theory to string theory?**
>
> **J. Baez: I had never heard anyone before suggest that category theory
> could be discredited by applications to string theory. It completely
> surprised me.  I'm used to the opposite complaint: that category 
> theory is
> discredited by its *lack* of applications.**
>
> Here it is a clear and rigorous answer:
>
> (1) **W. Lawvere: The question is not whether mathematics should be
> applied. Most of us agree that it should. The concern is rather that 
> our
> subject is sometimes being used as a mystifying smoke screen to protect
> pseudo-applications against the scrutiny of the general public and of 
> the
> scientific colleagues in adjacent disciplines. We need to ensure that
> applications themselves be maximally effective, not clouded by
> misunderstanding.**
>
> Now, an example of superficial conclusions:
>
> ** J. Baez: Indeed, the funny thing about string theory is that while
> leading to an abundant harvest of rigorous mathematical results, it has
> not yet correctly predicted a single result from a single experiment,
> even after more than 20 years of work on the part of many smart 
> people.**
>
> There is nothing funny about this. Lubos say:
>
> ** Motl: One of the fascinating features of string theory is that its
> objects and investigations, even though they've been partially
> disconnected from the daily exchanges with the experimentalists, 
> remained
> extremely physical in character. All of the objects that we deal with 
> are
> analogous to some objects in well-known working physical theories, to 
> say
> the least.**
>
> Bill has made a serious, well fundamented and non-bullshit 
> contribution to
> "crack and pots" (he utilizes a different heading:" WHY ARE WE 
> CONCERNED?")
>
> In contrast to many passages of some contributors that it will be 
> tiresome
> to reproduce here, and where one founds an overwhelming proliferation 
> of
>
> highly technical, sophisticated, difficult and impressively sounding 
> words
>
> such that it becomes impossible to see what they are saying, unless you
> are an expert, in which case you may find out that it is only 
> superficial
> thinking  (I am thinking specially in certain parts of  Davis Yetter's
> postings).
>
> ** W. Lawvere: Professors may not consider the possibility of learning
> from undergraduate text books, and some may feel bored that I have once
> again repeated the above basic definitions and observations.**
>
> If you have some real thoughts, you do not need impressive jargon.
>
> See what an original and deep insight:
>
> ** W. Lawvere: As quantity includes zero, so structure includes the 
> case
> of no structure, which Cantor considered one of his most profound and
> exciting discoveries**
>
> Superficial thinking  (which could be malicious, but very often is 
> simply
> stupid) has manifested itself in these postings  by pushing forward the
> idea that there are two different  kinds of category theory:
>
> "Categories as Foundation" and  "Categories as Algebra", the first
> implicitly (but not explicitly said) the "bad one", and the second the
> "good" one.
>
> ** D. Yetter: All of these are part and parcel of a different face of
> category theory than one saw in the old days: category theory as 
> algebra,
> rather than category theory as foundations.**
>
> We have an excellent analysis of this fallacy in Bill's postings, which
> should be read carefully and slowly.
>
> I imagine now to add something that Lawvere himself pointed out a long
> time ago: The laws of logic are a particular instance of the 
> categorical
> concept of adjoint functors, a concept that grew out of mathematical
> experience.
>
> There is any way some explanation to Yetter's prejudice against
> "categories as foundation".  Often very poor category theory has been
> justified by people writing on foundations. Bill's quote (1) above also
> applies to this and related use of category theory in theoretical 
> computer
> science.
>
> Somebody else that does not need either noisy language sees better:
>
> ** Dusko: I am of course saying things very clear and familiar to many
> people on this list, but maybe they are worth saying nevertheless.**
>
> ** Dusko: but at the end of the day, I think, we'll all agree that the
> source of the unreasonable effectiveness of categorical algebra is its
> foundational content **
>
> Then, he passes to consider Grothendiek's  ("the greatest of the
> category theorists") work  on Topos theory as work on foundations, 
> which
> agrees with the analysis of foundations made by Lawvere.
>
> I can not restrain myself to quote the following magnificent piece of
> meaningless  hallucinogenic  discourse:
>
> **V. Pratt: In the millions of years of evolution of primate thinking, 
> no
> productive mathematical mechanism has a higher probability of being
> stumbled on than mathematics founded on the Yoneda axiom. I know of no
> better explanation of how human thought could have evolved to its 
> present
> form than evolution finding and exploiting the Yoneda principle**
>
> Now, some serious business:
>
> In recent years J.Baez and his followers have been occupying more and 
> more
> space in the categorical community (this fact is at the starting point 
> of
> the present debate).
>
> I think this is so because they have some interesting category theory 
> to
> show, but they are occupying more space than their mathematics deserves
> because they bring a refreshing air to a community until now dominated 
> by
> an old guard that has not shown signs of necessary evolution, and that 
> has
> not being able to attract very good and talented young mathematicians 
> to
> the community. There is now not other exiting body of developments 
> within
> the community. The old guard is being pushed out (prone or supine ?), 
> but,
> alas, not by better mathematicians.
>
> Category theory is in good shape (in particular pushed forward by the
> Russian school), and it is now passing over the category community. I
> have lost the information now, but recently it was in Europe an 
> important
> congress that it had two subjects: one was a prestigious subject (that 
> I
> do not remember now), the other was category theory. Not a single name
> (including Baez group) that we see in the category theory community
> meetings was there.
>
> Best wishes to all   e.d.
>
>
>
>
>
>
>
>
>